#!/bin/bash

# Partie n°1 : téléchargement et installation des logiciels

# Copie des scripts sur la racine du compte root + "renommage" 

cd &&
mv debian_gnu_linux/ integrdom &&
cd integrdom/ &&

# Paramétrage des sources des paquets --> todo : créer un dépôt local !

mv /etc/apt/sources.list /etc/apt/sources.list.old &&
cp -f data/sources.list /etc/apt/ &&

# Synchronisation de la liste des paquets de la machine locale

apt-get update && # des avertissements sur les clés cryptographiques non reconnues 

# Importation des signatures de clés cryptographiques
 
#wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add - &&
apt-get --yes --quiet --allow-unauthenticated install mate-archive-keyring &&
apt-get --yes --quiet --allow-unauthenticated install pkg-mozilla-archive-keyring &&
apt-get --yes --quiet --allow-unauthenticated install deb-multimedia-keyring &&

# Re-synchronisation de la liste des paquets de la machine locale

apt-get update && # cette fois-ci, les signatures sont reconnues 

# debconf en mode silencieux

export DEBIAN_FRONTEND="noninteractive" &&
export DEBIAN_PRIORITY="critical" &&

# paquets binaires téléchargés et installés --> serveur local de paquets --> café !

apt-get -y install xorg xterm vim openssh-server mate-core mate-desktop-environment lightdm flashplugin-nonfree geogebra iceweasel iceweasel-l10n-fr vlc audacity pinta mplayer libdvdcss2 wine winetricks ntpdate &&
#apt-get -y install xorg xterm vim openssh-server mate-core mate-desktop-environment lightdm flashplugin-nonfree geogebra iceweasel iceweasel-l10n-fr vlc audacity pinta mplayer libdvdcss2 wine winetricks google-chrome-stable google-earth-stable ntpdate xscreensaver xscreensaver-gl-extra xscreensaver-data-extra gimp sweethome3d &&
apt-get -t wheezy-backports -y install libreoffice libreoffice-l10n-fr &&
apt-get -y install libnss-ldap libpam-mount cifs-utils numlockx && 

# Interface graphique de apt --> bof !

#apt-get install synaptic &&

# Pour wine

#apt-get -y install curl p7zip-full playonlinux mono-complete donf-editor && 

# Pour rendre automatique le mises à jour de sécurité --> bof !

#apt-get -y unattended-upgrades &&
#cp -f data/20auto-upgrades /etc/apt/apt.conf.d/ &&

# debconf remis dans sa configuration initiale (mode "verbeux")

export DEBIAN_FRONTEND="dialog" &&
export DEBIAN_PRIORITY="high" 
