#!/bin/bash

# Partie n°3 : "intégration" dans un domaine contrôlé par un serveur eole SCRIBE 

# Synchronisation du client avec le serveur de temps

ntpdate $ip_scribe &&

cp -f data/ldap.conf data/ldap.conf.tmp &&
sed -i -e "s/arg1/$ip_scribe/" data/ldap.conf.tmp &&
mv /etc/ldap/ldap.conf /etc/ldap/ldap.conf.old &&
mv data/ldap.conf.tmp /etc/ldap/ldap.conf &&

mv /etc/security/group.conf /etc/security/group.conf.old &&
cp -f data/group.conf /etc/security/ &&

cp -f data/libnss-ldap.conf data/libnss-ldap.conf.tmp &&
sed -i -e "s/arg1/$ip_scribe:389/" data/libnss-ldap.conf.tmp &&
mv data/libnss-ldap.conf.tmp /etc/libnss-ldap.conf &&
cp -f data/pam_ldap.conf data/pam_ldap.conf.tmp &&
sed -i -e "s/arg1/$ip_scribe:389/" data/pam_ldap.conf.tmp &&
mv data/pam_ldap.conf.tmp /etc/pam_ldap.conf &&

mv /etc/nsswitch.conf /etc/nsswitch.conf.old &&
cp -f data/nsswitch.conf /etc/ &&

mv /etc/pam.d/common-account /etc/pam.d/common-account.old &&
mv /etc/pam.d/common-auth /etc/pam.d/common-auth.old &&
mv /etc/pam.d/common-password /etc/pam.d/common-password.old &&
mv /etc/pam.d/common-session /etc/pam.d/common-session.old &&
mv /etc/pam.d/common-session-noninteractive /etc/pam.d/common-session-noninteractive.old &&
cp -f data/common-* /etc/pam.d/ &&

mv /usr/share/pam-configs/ /usr/share/pam-configs.old &&
cp -rf data/pam-configs/ /usr/share/ &&

mv /etc/security/pam_mount.conf.xml /etc/security/pam_mount.conf.xml.old &&
cp -f data/pam_mount.conf.xml data/pam_mount.conf.xml.tmp &&
sed -i -e "s/arg1/$ip_scribe/g" data/pam_mount.conf.xml.tmp &&
mv data/pam_mount.conf.xml.tmp /etc/security/pam_mount.conf.xml &&

# /etc/profile --> français encodé en UTF8

mv /etc/profile /etc/profile.old &&
cp -f data/profile /etc/ &&

# Ne pas créer les dossiers par defaut dans home

cp -f data/user-dirs.* /etc/xdg/ &&

# Seul l'admin et les membres administrateurs du domaine peuvent utiliser la commande "sudo" --> à revoir niveau sécurité

mv /etc/sudoers /etc/sudoers.old &&
cp -f data/sudoers /etc/ &&

# Paramétrage de lighdm : activer numlockx + logon et logoff 

mv /etc/lightdm/lightdm.conf /etc/lightdm/lightdm.conf.old &&
cp -f data/{lightdm.conf,logo*} /etc/lightdm/ &&

# Script qui permettra de nettoyer le /home/* --> à automatiser

cp -f scripts/nettoyer.sh ~ &&

service nscd restart &&

# Paramétrage du proxy http squid pour tout le système

# (1) Paramétrage du proxy pour MATE

cp -f data/scribe.gschema.override data/scribe.gschema.override.tmp &&
sed -i -e "s/arg2/$ip_proxy/g" data/scribe.gschema.override.tmp &&
sed -i -e "s/arg3/$port_proxy/g" data/scribe.gschema.override.tmp &&
mv data/scribe.gschema.override.tmp /usr/share/glib-2.0/schemas/scribe.gschema.override && 

# Prise en compte des modifications apportées

glib-compile-schemas /usr/share/glib-2.0/schemas &&

# (2) Paramétrage du proxy pour le système

cp -f data/environment data/environment.tmp &&
sed -i -e "s/arg1/$ip_proxy:$port_proxy/g" data/environment.tmp &&
mv /etc/environment /etc/environment.old &&
mv data/environment.tmp /etc/environment &&

# (3) Paramétrage du proxy pour apt

cp -f data/20proxy data/20proxy.tmp &&
sed -i -e "s/arg1/$ip_proxy:$port_proxy/g" data/20proxy.tmp &&
mv data/20proxy.tmp /etc/apt/apt.conf.d/20proxy #&&

# Désactiver le changement d'utilisateur lors d'un verrouillage d'écran
# ne fonctionne pas !

#gsettings set org.mate.lockdown disable-user-switching true 

# Pour vérifier, valider dans un xterm : gsettings list-recursively org.mate.lockdown
